# Class HttpClient

code »

All implemented interfaces:
  `webdriver.http.Client`

A `webdriver.http.Client` implementation using Node's built-in http module.

## Constructor

HttpClient ( serverUrl, opt_agent )

Parameters

serverUrl: `string`
  URL for the WebDriver server to send commands to.
opt_agent: `http.Agent=`
  The agent to use for each request. Defaults to `http.globalAgent`.

Show:Public Protected Private

## Instance Methods

code »send ( httpRequest, callback )

Parameters

httpRequest
callback

## Instance Properties

code »agent_ : `http.Agent`
code »options_ : `!Object`

Base options for each request.